scoped_allocator File Reference

Go to the source code of this file.

## Classes

class | std::scoped_allocator_adaptor< _OuterAlloc, _InnerAllocs >
class | std::scoped_allocator_adaptor< _OuterAlloc, _InnerAllocs >

## Namespaces

namespace | std

## Macros

#define | _SCOPED_ALLOCATOR

## Functions

template<typename _Alloc >
auto | std::__do_outermost (_Alloc &__a, _Alloc *) -> decltype(__a.outer_allocator())
template<typename _Alloc >
_Alloc & | std::__do_outermost (_Alloc &__a,...)
template<typename _Alloc >
auto | std::__outermost (_Alloc &__a) -> decltype(__do_outermost(__a,&__a))
template<typename _OutA1 , typename _OutA2 , typename... _InA>
bool | std::operator!= (const scoped_allocator_adaptor< _OutA1, _InA...> &__a, const scoped_allocator_adaptor< _OutA2, _InA...> &__b) noexcept
template<typename _OutA1 , typename _OutA2 , typename... _InA>
bool | std::operator== (const scoped_allocator_adaptor< _OutA1, _InA...> &__a, const scoped_allocator_adaptor< _OutA2, _InA...> &__b) noexcept

## Detailed Description

This is a Standard C++ Library header.

Definition in file scoped_allocator.